# xinit

open a graphics export session

## Calling Sequence

                xinit(FileName)
                xinit()

## Arguments

FileName

  a string: name of the export file.

## Description

`xinit` opens a graphics export session. To export to a file, `FileName` must be specified. It is the name of the file where all the graphics operations are recorded.

For screen drivers (`X11` or `Rec`), `xinit` should be called without any argument and it will open an empty graphic window.

## Examples

    current_driver = driver()
    driver("Pos")
    xinit(TMPDIR+"/foo.ps")
    plot2d()
    xend()
    driver(current_driver)

    current_driver = driver()
    driver("PNG")
    xinit(TMPDIR+"/foo.png")
    plot3d()
    xend()
    driver(current_driver)

## See Also

- driver
- xend
- scf